// Test reading int24 values.

var assert = require('assert');
var util = require('./util');
var strtok = require('../lib');

util.runGenerateTests(
    [function(b) {
        return strtok.INT24_BE.put(b, 0, 0x00);
    }, '\x00\x00\x00'],
    [function(b) {
        return strtok.INT24_BE.put(b, 0, 0x0f0ba0);
    }, '\x0f\x0b\xa0'],
    [function(b) {
        return strtok.INT24_BE.put(b, 0, -0x0f0bcc);
    }, '\xf0\xf4\x34']
);

util.runParseTests('\x00\x00\x00\xff\xff\xff\x10\x00\xff\x80\x00\x00', [
    function(v) {
        assert.ok(v === undefined);
        return strtok.INT24_BE;
    },
    function(v) {
        assert.equal(v, 0);
        return strtok.INT24_BE;
    },
    function(v) {
        assert.equal(v, -1);
        return strtok.INT24_BE;
    },
    function(v) {
        assert.equal(v, 1048831);
        return strtok.INT24_BE;
    },
    function(v) {
        assert.equal(v, -8388608);
        return strtok.INT24_BE;
    }
]);
