// Test writing and reading uint24 values in different endiannesses.

var assert = require('assert');
var util = require('./util');
var strtok = require('../lib');

util.runGenerateTests(
    [function(b) {
        return strtok.UINT24_LE.put(b, 0, 0);
    }, '\x00\x00\x00'],
    [function(b) {
        return strtok.UINT24_LE.put(b, 0, 0xff);
    }, '\xff\x00\x00'],
    [function(b) {
        return strtok.UINT24_BE.put(b, 0, 0);
    }, '\x00\x00\x00'],
    [function(b) {
        return strtok.UINT24_BE.put(b, 0, 0xff);
    }, '\x00\x00\xff'],
    [function(b) {
        return strtok.UINT24_LE.put(b, 0, 0xaabbcc);
    }, '\xcc\xbb\xaa'],
    [function(b) {
        return strtok.UINT24_BE.put(b, 0, 0xaabbcc);
    }, '\xaa\xbb\xcc']
);

var le = function(v) {
    assert.equal(v, 0x001a1a);
    return strtok.UINT24_BE;
};

var be = function(v) {
    assert.equal(v, 0x1a1a00);
    return strtok.UINT24_LE;
};

util.runParseTests(
    '\x1a\x1a\x00\x1a\x1a\x00\x1a\x1a\x00\x1a\x1a\x00',
    [
        function(v) {
            assert.ok(v === undefined);
            return strtok.UINT24_LE;
        },
        le, be, le, be
]);
